Bug 1394215 - Review Request: perl-Tie-DataUUID - Tie interface to Data::UUID
Summary: Review Request: perl-Tie-DataUUID - Tie interface to Data::UUID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1394242
TreeView+ depends on / blocked
 
Reported: 2016-11-11 12:19 UTC by Petr Pisar
Modified: 2017-02-15 20:53 UTC (History)
2 users (show)

Fixed In Version: perl-Tie-DataUUID-1.02-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 20:50:34 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-11-11 12:19:01 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Tie-DataUUID/perl-Tie-DataUUID.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Tie-DataUUID/perl-Tie-DataUUID-1.02-1.fc26.src.rpm
Description:
This is a simple tie interface to the Data::UUID Perl module.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2016-11-15 12:34:14 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Tie-DataUUID-1.02-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(Data::UUID)
      1 perl(Tie::Scalar)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Tie-DataUUID-1.02-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Tie::DataUUID) = 1.02
      1 perl-Tie-DataUUID = 1.02-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Tie-DataUUID*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

BuildRequires are ok
TODO: Please add BR coreutils. 'rm' - perl-Tie-DataUUID.spec:42

The package looks good.
Approved

Comment 2 Gwyn Ciesla 2016-11-15 14:21:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Tie-DataUUID

Comment 3 Petr Pisar 2016-11-16 08:49:54 UTC
Thank you for the review and the repository. I added the dependency.

Comment 4 Fedora Update System 2016-11-16 08:50:13 UTC
perl-Tie-DataUUID-1.02-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a74d13110

Comment 5 Fedora Update System 2016-11-16 08:50:26 UTC
perl-Tie-DataUUID-1.02-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-35d8c96b77

Comment 6 Fedora Update System 2016-11-16 20:26:13 UTC
perl-Tie-DataUUID-1.02-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a74d13110

Comment 7 Fedora Update System 2016-11-17 03:57:53 UTC
perl-Tie-DataUUID-1.02-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-35d8c96b77

Comment 8 Fedora Update System 2016-11-21 15:02:45 UTC
perl-Tie-DataUUID-1.02-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a74d13110

Comment 9 Fedora Update System 2016-11-23 23:04:58 UTC
perl-Tie-DataUUID-1.02-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a74d13110

Comment 10 Fedora Update System 2017-02-15 20:50:34 UTC
perl-Tie-DataUUID-1.02-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-02-15 20:53:00 UTC
perl-Tie-DataUUID-1.02-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.